extends KinematicBody2D

# 移動速度
const MOTION_SPEED = 20000

func _process(delta: float) -> void:
	# 移動速度の計算
	var motion = Vector2()
	
	# 移動方向を計算する
	motion.x = Input.get_action_strength("ui_right") - Input.get_action_strength("ui_left")
	motion.y = Input.get_action_strength("ui_down") - Input.get_action_strength("ui_up")
	
	# クオータービューの高さは半分
	motion.y /= 2
	motion = motion.normalized() * MOTION_SPEED * delta
	
	# 移動処理
	move_and_slide(motion)
